package com.shkj.wms.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.shkj.common.core.domain.Result;
import com.shkj.wms.bo.BasePointQueryBo;
import com.shkj.wms.domain.BasePoint;
import com.shkj.wms.vo.BasePointGroupVo;
import com.shkj.wms.vo.BasePointVo;

import java.util.List;

/**
 * AGV接驳点位Mapper接口
 *
 * @author zjx
 * @date 2023-04-20
 */
public interface BasePointMapper extends BaseMapper<BasePoint> {
    /**
     * 查询点位管理
     *
     * @param id 点位管理主键
     * @return 点位管理
     */
    public BasePoint selectBasePointById(Long id);

    /**
     * 查询点位管理列表
     *
     * @param basePoint 点位管理
     * @return 点位管理集合
     */
    public List<BasePoint> selectBasePointList(BasePoint basePoint);

    /**
     * 新增点位管理
     *
     * @param basePoint 点位管理
     * @return 结果
     */
    public int insertBasePoint(BasePoint basePoint);

    /**
     * 修改点位管理
     *
     * @param basePoint 点位管理
     * @return 结果
     */
    public int updateBasePoint(BasePoint basePoint);

    /**
     * 删除点位管理
     *
     * @param id 点位管理主键
     * @return 结果
     */
    public int deleteBasePointById(Long id);

    /**
     * 获取可用点位
     *
     * @param bo
     * @return 结果
     */
    public BasePointVo selectBasePointByQuery(BasePointQueryBo bo);


    public BasePoint selectBasePoint(BasePoint basePoint);

    public BasePoint selectBasePointByPointNo(String pointNo);

}
